#include <AxisG2Mps.h>
#include <ctime>

namespace AxisG2Mps_ns
{

void AxisG2Mps::exception_handler(Tango::DevFailed &ex, Tango::DevState new_state, const std::string base_msg)
{
    std::stringstream msg;

    msg << base_msg << " : ";
    for (unsigned int i=0; i<ex.errors.length(); i++)
    {
            msg << ex.errors[i].reason.in() << endl;
            msg << ex.errors[i].desc.in() << endl;
            msg << ex.errors[i].origin.in() << endl;
    }
    msg << ends;

   #if 0
    ERROR_STREAM << msg.str() << endl;
   #endif

    set_state(new_state);
    set_status(msg.str());
}

	/*----- PROTECTED REGION END -----*/	//	AxisG2Mps::namespace_ending
} //	namespace

