#include <AxisG2Mps.h>

namespace AxisG2Mps_ns {

// BitList: array of.....   nikname:bitNo

bool AxisG2Mps::parseBitList(vector<string>& BitList,  vector<bit_t>& bits, map<string, int>& nick2idx){

	vector<string> a;
	vector<string>::iterator blit;
	
	short new_idx(0);

	for (blit = BitList.begin(); blit != BitList.end(); blit++){
		//cout << "BitList: " << *blit << endl;
		bit_t s;
		s.nickname = "";
		s.bit = -1;

		a = splitby((*blit).c_str(), ':');
		switch (a.size()){
			case 2:
				break;
			default:
				return false;
				break;
		}
                s.nickname = a[0];
		s.bit = atoi(a[1].c_str());
		if ( s.bit < 0 ) return false;
		if ( s.bit > 56 ) return false;

		s.index = new_idx;
		nick2idx[s.nickname] = new_idx;
		//cout << "parseBitList() ... : " << s.nickname << " | " << nick2idx[s.nickname] << endl;

		bits.push_back(s);

		new_idx++;
	}

	return true;
}

} //namespace
